Update Forecast Settings
curl --request PUT \
--url https://nueborder.com/api/v1/v1/companies/{company_id}/forecast \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"carbonPrice": 15,
"discount": 0.1,
"importRegion": "EU",
"reportingPeriod": "Q1",
"year": 2023,
"yoyChange": 0.05
}
'import requests
url = "https://nueborder.com/api/v1/v1/companies/{company_id}/forecast"
payload = {
"carbonPrice": 15,
"discount": 0.1,
"importRegion": "EU",
"reportingPeriod": "Q1",
"year": 2023,
"yoyChange": 0.05
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carbonPrice: 15,
discount: 0.1,
importRegion: 'EU',
reportingPeriod: 'Q1',
year: 2023,
yoyChange: 0.05
})
};
fetch('https://nueborder.com/api/v1/v1/companies/{company_id}/forecast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Operation completed successfully",
"status": 200
}{
"message": "The JSON payload is invalid",
"status": 400
}{
"message": "An internal server error occurred",
"status": 500
}Forecast
Update Forecast Settings
Adjusts the forecast settings for carbon-tax calculations using the provided configuration.
PUT
/
v1
/
companies
/
{company_id}
/
forecast
Update Forecast Settings
Authorizations
Provide your Bearer token in the format: Bearer <your_api_key>
Path Parameters
Unique identifier of the company
Body
application/json
Forecast settings configuration
Forecast Setting defines configuration parameters.
Carbon price.
Example:
15
Discount rate.
Example:
0.1
Region for the settings.
Available options:
EU Example:
"EU"
Reporting period.
Example:
"Q1"
Year for the settings.
Example:
2023
Year-over-year change.
Example:
0.05
⌘I